$(document).ready(function() {

	Fancybox.bind("[data-fancybox]", {
		// Your custom options
	});

	$(".top").click(function (){
		$('.menu a').removeClass('active');
		$(this).addClass('active');
		$('html, body').animate({
			scrollTop: $("#top").offset().top - 80
		}, 2000);
	});

	$(".about").click(function (){
		$('.menu a').removeClass('active');
		$(this).addClass('active');
		$('html, body').animate({
			scrollTop: $("#about").offset().top - 100
		}, 2000);
	});

	$(".product").click(function (){
		$('.menu a').removeClass('active');
		$(this).addClass('active');
		$('html, body').animate({
			scrollTop: $("#product").offset().top - 100
		}, 2000);
	});

	$(".specs").click(function (){
		$('.menu a').removeClass('active');
		$(this).addClass('active');
		$('html, body').animate({
			scrollTop: $("#specs").offset().top - 100
		}, 2000);
	});

	$(".contact").click(function (){
		$('.menu a').removeClass('active');
		$(this).addClass('active');
		$('html, body').animate({
			scrollTop: $("#contact").offset().top - 100
		}, 2000);
	});

	// =============

	mobileMenu = false;
	$('.navButton').click(function() {
		var newHeight = $(window).height() - 80;
		//$('.top').css({'max-height' : newHeight});

		if (mobileMenu == false) {
			$('.mobile').slideToggle();
			$('.navButton').html("<i class='fa-solid fa-xmark'></i>");
			mobileMenu = true;
		} else {
			$('.mobile').slideToggle();
			$('.navButton').html("<i class='fa-solid fa-bars'></i>");
			mobileMenu = false;
		}
		
		return false;
	});

	$(".makeOrder").click(function (){
		product = $(this).parent().find('.h3').text();
		//alert(product);
		//$('.autoSelector').prop('value', product);
		$('.autoSelector').val(product);
		//$('.autoSelector').attr("value", product);
		//alert(product);
	});

	$('.owl-carousel').owlCarousel({
		loop:true,
		margin:30,
		loop:true,
    	nav:true,
		responsiveClass:true,
		responsive:{
			0:{
				items:1
			},
			600:{
				items:2
			},
			1000:{
				items:2,
			}
		}
	})
});